/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import com.arrebol.apc.model.core.Office;
import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author Oscar Armando Vargas Cardenas <oscar.vargas@arrebol.com.mx>
 */
@Entity
@Immutable
@Table(name = "APC_COLOCATION_LAST_WEEK_BY_USER_VIEW")
public class ColocationLastWeekByUserView implements Serializable{

    private static final long serialVersionUID = 3055231364366461069L;
    
    @Id
    @Column(name = "id", length = 36)
    private String id;
    
    @Column(name = "username")
    private String userName;
    
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(
            name = "id_office",
            referencedColumnName = "id",
            nullable = false
    )
    private Office office;
    
    @Column(name = "colocation_monday")
    private BigDecimal colocationMonday;
    
    @Column(name = "colocation_tuesday")
    private BigDecimal colocationTuesday;
    
    @Column(name = "colocation_wednesday")
    private BigDecimal colocationWednesday;
    
    @Column(name = "colocation_thursday")
    private BigDecimal colocationThursday;
    
    @Column(name = "colocation_friday")
    private BigDecimal colocationFriday;
    
    @Column(name = "colocation_saturday")
    private BigDecimal colocationSaturday;
    
    @Column(name = "colocation_total")
    private BigDecimal colocationTotal;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public BigDecimal getColocationMonday() {
        return colocationMonday;
    }

    public void setColocationMonday(BigDecimal colocationMonday) {
        this.colocationMonday = colocationMonday;
    }

    public BigDecimal getColocationTuesday() {
        return colocationTuesday;
    }

    public void setColocationTuesday(BigDecimal colocationTuesday) {
        this.colocationTuesday = colocationTuesday;
    }

    public BigDecimal getColocationWednesday() {
        return colocationWednesday;
    }

    public void setColocationWednesday(BigDecimal colocationWednesday) {
        this.colocationWednesday = colocationWednesday;
    }

    public BigDecimal getColocationThursday() {
        return colocationThursday;
    }

    public void setColocationThursday(BigDecimal colocationThursday) {
        this.colocationThursday = colocationThursday;
    }

    public BigDecimal getColocationFriday() {
        return colocationFriday;
    }

    public void setColocationFriday(BigDecimal colocationFriday) {
        this.colocationFriday = colocationFriday;
    }

    public BigDecimal getColocationSaturday() {
        return colocationSaturday;
    }

    public void setColocationSaturday(BigDecimal colocationSaturday) {
        this.colocationSaturday = colocationSaturday;
    }

    public Office getOffice() {
        return office;
    }

    public void setOffice(Office office) {
        this.office = office;
    }

    public BigDecimal getColocationTotal() {
        return colocationTotal;
    }

    public void setColocationTotal(BigDecimal colocationTotal) {
        this.colocationTotal = colocationTotal;
    }
       
}
